%global pypi_name oslotest

%bcond_without bootstrap
%bcond_with doc

Summary:        OpenStack test framework
Name:           python-%{pypi_name}
Version:        4.5.0
Release:        5%{?dist}
License:        ASL 2.0
URL:            http://launchpad.net/oslo
Source0:        https://tarballs.openstack.org/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildRequires:  git-core
BuildArch:      noarch

%description
OpenStack test framework and test fixtures.

%package -n python3-%{pypi_name}
Summary:        OpenStack test framework

BuildRequires:  python3-devel python3-pbr python3-setuptools python3-six python3-stestr
%if %{without bootstrap}
BuildRequires:  python3-oslo-config
%endif
Requires: python3-fixtures python3-six python3-subunit python3-testtools

%description -n python3-%{pypi_name}
OpenStack test framework and test fixtures.

%if %{with doc}
%package -n python-%{pypi_name}-doc
Summary:        Documentation for the OpenStack test framework
BuildRequires:  python3-sphinx python3-openstackdocstheme python3-sphinxcontrib-apidoc

%description -n python-%{pypi_name}-doc
OpenStack test framework and test fixtures.
%endif

%prep
%autosetup -n %{pypi_name}-%{version} -S git

rm -rf {test-,}requirements.txt

%build
%{py3_build}

%if %{with doc}
sphinx-build-3 -b html doc/source doc/build/html
rm -rf doc/build/html/.{doctrees,buildinfo}
%endif

%install
%{py3_install}

%check
%if %{without bootstrap}
python3 setup.py test
%endif

%files -n python3-%{pypi_name}
%license LICENSE
%{_bindir}/oslo_run_cross_tests
%{_bindir}/oslo_run_pre_release_tests
%{_bindir}/oslo_debug_helper
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}*.egg-info

%if %{with doc}
%files -n python-%{pypi_name}-doc
%license LICENSE
%doc doc/build/html
%doc README.rst
%endif

%changelog
* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.5.0-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.5.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.5.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.5.0-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Mar 30 2023 Shuo Wang <abushwang@tencent.com> - 4.5.0-1
- initial build
